<div class="col-12 p-0" style="position: relative;">
    <div class="col-12 p-0">
            <!--/////// speedDial ////////-->
            <!-- <div class="grid tw-relative tw-w-full">        
                <div class="grid tw-fixed  tw-h-screen pl-10 ">
                    <div style="position: relative;left: 20; top: calc(50% - 10rem);margin-left: 15px;"  >                  
                       <p-speedDial [model]="speedDialitems" direction="right"  [transitionDelay]="50" showIcon="pi pi-bars" hideIcon="pi pi-times"
                        buttonClassName="p-button-outlined" class="ml-3"></p-speedDial>
                    </div>
                  
                </div>
            </div> -->
            <!--/////// speedDial End////////-->
        <div class="col-12">
            <div class="flex flex-column md:flex-row md:align-items-center md:justify-content-between mb-3 gap-3">
                <div class="flex align-items-center">
                  
                    <!-- <img src="assets/demo/images/avatar/profile.jpg" width="64" alt="profile"
                        class="border-circle border-2 border-primary flex-shrink-0" /> -->
                    <div class="ml-3" >
                        <span class="text-4xl font-light">{{title}}{{fname}} {{lname}}</span>
                        <div class="text-color-secondary">
                            <span class="text-black-alpha-90 font-bold mr-2">อายุ :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{age | thaiage}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">เพศ :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{gender}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">AN :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{an}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">HN :</span>
                            <span class="text-black-alpha-60 font-semibold">{{hn}} </span>
                        </div>
                    </div>
                </div>
                <div class="flex align-items-center justify-content-between gap-3">
                    <button pButton pRipple icon="pi pi-arrow-left" type="button" label="" pTooltip="ย้อนกลับ" tooltipPosition="top"
                        class="p-button-danger" (click)="backlistPatient()" ></button>

                </div>
            </div>
        </div>
        <div class="col-12">
            <div class="flex flex-column md:flex-row gap-5">
                <div class="card mb-0 md:w-20rem">
                    <div class="text-900 block font-bold mb-3">ผลทางห้องปฏิบัติการ</div>
                    <ul class="list-none m-0 p-0">
                        <li pRipple *ngFor="let item of listlab; let i = index" (click)="changeItem(i)" class="mb-2 ">
                            <a class="flex align-items-center cursor-pointer select-none p-3 transition-colors transition-duration-150 border-round" [ngClass]="{'bg-primary': (activeIndex === i), 'hover:surface-hover': (activeIndex !== i)}">
                                <!-- <i [class]="item.icon" class="mr-2 text-lg"></i>pi-minus -->
                                <i class="pi pi-circle-on tw-mr-2" style="font-size: 0.5rem"></i>
                                <span>{{item.label}}</span>
                            </a>
                        </li>
                    </ul>
                </div>
                <div class="card flex-1">
                    <p-accordion>
                        <p-messages></p-messages>
                        <p-accordionTab *ngFor="let question of listlab[activeIndex].questions" [header]="question.header | thaidatetime:'medium'">
                            <ul>
                                <li *ngFor="let item of question.result">
                                    {{item.lab_test_name}} {{item.lab_test_result}} {{item.lab_test_unit}} [{{item.lab_test_ref_range}}]
                                </li>
                            </ul>
                        </p-accordionTab>
                    </p-accordion>
                </div>
                <!-- <div class="card flex-1">
                    <p-accordion>
                        <p-accordionTab *ngFor="let item of items" [header]="item.label">
                            <ul>
                                <li *ngFor="let question of item.questions">{{ question }}</li>
                            </ul>
                        </p-accordionTab>
                    </p-accordion>
                </div> -->
            </div>
        </div>
    </div>
</div>
